/* -----------------------------------------------------------------------------
	GSFramework
	Copyright 2001-2013 Emmanuel Julien. All Rights Reserved.
----------------------------------------------------------------------------- */


		#include "script_squirrel/cobject/geometry_template_decl.h"
		#include "script_squirrel/cobject/cobject_decl.h"
		#include "script_squirrel/cobject/matrix_decl.h"
		#include "script_squirrel/cobject/vector_decl.h"
		#include "script_squirrel/cobject/uv_decl.h"


//------------------------------------------------------------------------------
void			RegisterUCBinding(HSQUIRRELVM vm)
{
	// Engine types wrapper object.
	_INIT_CLASS(vm, CObject)

	// VM owned objects.
	_INIT_CLASS(vm, GeometryTemplate)

	_INIT_CLASS(vm, Matrix3)
	_INIT_CLASS(vm, Matrix4)
	_INIT_CLASS(vm, Vector)

	_INIT_CLASS(vm, UV)
}
//------------------------------------------------------------------------------
